NodeRings Docs

Upload Ticket Attachment Content

POST
/v1/tickets/attachments:upload-content
Authorization<token>

Bearer token

In: header

X-Organization-ID<token>

Tenant or organization identifier

In: header

uploadToken?string
fileContent?string

Response Body

application/json

curl -X POST "https://api.nrings.io/v1/tickets/attachments:upload-content" \  -H "Authorization: Bearer {your_token}" \  -H "X-Organization-ID: {your_org_id}" \  -H "Content-Type: application/json" \  -d '{  "uploadToken": "string",  "fileContent": "string"}'
{
  "id": "string",
  "ticketId": "string",
  "fileName": "string",
  "fileSize": "string",
  "mimeType": "string",
  "uploadedByUserId": "string",
  "timestamps": {
    "createTime": "2019-08-24T14:15:22Z",
    "updateTime": "2019-08-24T14:15:22Z"
  }
}